#include <gtk/gtk.h>

void onDestroy(GtkWidget* widget, gpointer data) {
	gtk_main_quit();
}

gboolean onDeleteEvent(GtkWidget* widget, GdkEvent* event, gpointer data) {
	GtkWidget *dialog;
	dialog = gtk_message_dialog_new(GTK_WINDOW(widget), GTK_DIALOG_DESTROY_WITH_PARENT, GTK_MESSAGE_QUESTION, GTK_BUTTONS_YES_NO,
		"Czy na pewno chcesz opuścić program?");
	gtk_window_set_title(GTK_WINDOW(dialog), "Pytanie");
	GtkResponseType result = (GtkResponseType)gtk_dialog_run(GTK_DIALOG(dialog));
	gtk_widget_destroy(dialog);
	if (result == GTK_RESPONSE_YES) {
		return FALSE;
	}
	return TRUE;
}

int main(int argc, char** argv) {
	GtkBuilder *builder;
	GError *error;
	GtkWidget *window;
	
	gtk_init(&argc, &argv);
	
	builder = gtk_builder_new();
	error = NULL;
	gtk_builder_add_from_file(builder, "main_window.ui", &error);
	if (error) {
		g_print("Wystąpił błąd: %s\n", error->message);
		g_error_free(error);
		return -1;
	}
	window = GTK_WIDGET(gtk_builder_get_object(builder, "wndHelloWorld"));
	g_signal_connect(G_OBJECT(window), "delete-event", G_CALLBACK(onDeleteEvent), NULL);
	g_signal_connect(G_OBJECT(window), "destroy", G_CALLBACK(onDestroy), NULL);
	gtk_widget_show(window);
	
	gtk_main();
	return 0;
}
